<?
/*
Autor: Lic. Carlos Alberto Vaca Coronado
Version: 3.2.1
*/

if(!isset($_SESSION['usuario_p_prov_absa']) || trim($_SESSION['usuario_p_prov_absa']) == "" || trim(strtoupper($_SESSION["URL_PORTAL"]."admin.php")) != trim(strtoupper($_SERVER['HTTP_REFERER']))){
	?><script>window.location.href="<?=$_SESSION["URL_PORTAL"]."index.php"?>"</script><?
	exit;
}
$tablaI[1]='RFCEmisor';
$tablaI[2]='tipoDocto';
$tablaI[3]='serie';
$tablaI[4]='folio';
$tablaI[5]='uuid';
$tablaI[6]='fechaDocto';
$tablaI[7]='rfc_receptor';
$tablaI[8]='total';
$tablaI[9]='status';
$tablaI[10]='fechaRecibido';
$tablaI[11]='nombreemi';
$tablaI[12]='xml';

$tablaB[1]='RFCEmisor';
$tablaB[2]='tipoDocto';
$tablaB[3]='serie';
$tablaB[4]='folio';
$tablaB[5]='uuid';
$tablaB[6]='pdf';

$tablaA[1]='RFCEmisor';
$tablaA[2]='tipoDocto';
$tablaA[3]='serie';
$tablaA[4]='folio';
$tablaA[5]='uuid';
$tablaA[6]='status';
$tablaA[7]='comentarios';

$tablaC[1]='RFCEmisor';
$tablaC[2]='tipoDocto';
$tablaC[3]='serie';
$tablaC[4]='folio';
$tablaC[5]='uuid';
$tablaC[6]='ArchivoXML';
$tablaC[7]='ArchivoPDF';

$detalle[1]='RFCEmisor';
$detalle[2]='tipoDocto';
$detalle[3]='serie';
$detalle[4]='folio';
$detalle[5]='uuid';
$detalle[6]='fechaEvento';
$detalle[7]='evento';
$detalle[8]='status';
$detalle[9]='comentario';
$detalle[10]='fecharecibido';
$detalle[11]='xml';
$detalle[12]='pdf';

$dir="../ArchivosDisXII/";
$directorio=opendir($dir);

$pn=array();
while($archivo = readdir($directorio)){
	if($archivo != '.' && $archivo != ".." && file_exists($dir.$archivo)){
	$pn[]=$archivo;
	}
}
closedir($directorio); 

function ordenar($a,$b){ 
 global $dir; 
 $a = filemtime($dir.$a); 
 $b = filemtime($dir.$b); 
 if ($a == $b) { 
 return 0; 
 } 
 return ($a < $b) ? -1 : 1; 
} 

usort($pn, "ordenar");

$entro=false;

foreach($pn as $ar){
			$entro=true;
			$vlineas = file($dir.$ar);
		foreach ($vlineas as $sLinea) {
				$valor= array();
				$accion="";
				$arreglo=explode("|",$sLinea);
				if($arreglo[0]=="I"){
					$accion="insert";
				}else if(trim($arreglo[0])=="B"){
					$accion="ActualizaB";
				}else if(trim($arreglo[0])=="D"){
					$accion="Detalle";
				}else if(trim($arreglo[0])=="A"){
					$accion="ActualizaA";
				}else if(trim($arreglo[0])=="C"){
					$accion="ActualizaC";
				}
				for($i=1;$i < count($arreglo);$i++){
						$valor[$i]=$arreglo[$i];
				}
				$queryDuplicado="select rfcemisor,tipoDocto,serie,folio from recibedoce where rfcemisor='".$valor[1]."' and tipodocto='".$valor[2]."' and serie='".$valor[3]."' and folio='".$valor[4]."' and uuid='".$valor[5]."'";
				
				$result=mysqli_query($conexion->CONEXION,$queryDuplicado);
				
				$total=mysqli_num_rows($result);
				$query="";
				$queryClienteWEB="";
				if($accion == "insert"){
					$set="";
					
					for($i=1;$i <= 11;$i++){
						if($i < 11){
							$set.=$tablaI[$i]."='".utf8_encode(mysqli_real_escape_string($conexion->CONEXION,trim($valor[$i])))."',";
						}else{
							$set.=$tablaI[$i]."='".utf8_encode(mysqli_real_escape_string($conexion->CONEXION,trim($valor[$i])))."'";
						}
					}
					
					if($total > 0){
						$query="update recibedoce set ".$set." where rfcemisor='".$valor[1]."' and tipodocto='".$valor[2]."' and serie='".$valor[3]."' and folio='".$valor[4]."' and uuid='".$valor[5]."'";
					}else{
						$query="insert into recibedoce set ".$set;
						$queryExisteCliente="select * from clienteweb where rfc_cliente='".$valor[1]."'";
						$resultClienteWEB = mysqli_query($conexion->CONEXION,$queryExisteCliente);
						if(mysqli_num_rows($resultClienteWEB) == 0){
							$queryClienteWEB="insert into clienteweb set rfc_cliente='".$valor[1]."', nombre_cliente='".$valor[11]."', esProv='SI', esCliente='NO'";
						}
					}
					
					
				}else if($accion == "ActualizaB"){
					$set="";
					
					for($i=1;$i <= count($valor);$i++){
						if($i < count($valor)){
							$set.=$tablaB[$i]."='".utf8_encode(mysqli_real_escape_string($conexion->CONEXION,trim($valor[$i])))."',";
						}else{
							$set.=$tablaB[$i]."='".utf8_encode(mysqli_real_escape_string($conexion->CONEXION,trim($valor[$i])))."'";
						}
					}
					
					if($total > 0){
						$query="update recibedoce set ".$set." where rfcemisor='".$valor[1]."' and tipodocto='".$valor[2]."' and serie='".$valor[3]."' and folio='".$valor[4]."' and uuid='".$valor[5]."'";
					}
				}else if($accion == "ActualizaA"){
					$set="";
					
					for($i=1;$i <= count($valor);$i++){
						if($i < count($valor)){
							$set.=$tablaA[$i]."='".utf8_encode(mysqli_real_escape_string($conexion->CONEXION,trim($valor[$i])))."',";
						}else{
							$set.=$tablaA[$i]."='".utf8_encode(mysqli_real_escape_string($conexion->CONEXION,trim($valor[$i])))."'";
						}
					}
					
					if($total > 0){
						$query="update recibedoce set ".$set." where rfcemisor='".$valor[1]."' and tipodocto='".$valor[2]."' and serie='".$valor[3]."' and folio='".$valor[4]."' and uuid='".$valor[5]."'";
					}
				}else if($accion == "ActualizaC"){
					$set="";
					
					for($i=1;$i <= count($valor);$i++){
						if($i < count($valor)){
							$set.=$tablaC[$i]."='".utf8_encode(mysqli_real_escape_string($conexion->CONEXION,trim($valor[$i])))."',";
						}else{
							$set.=$tablaC[$i]."='".utf8_encode(mysqli_real_escape_string($conexion->CONEXION,trim($valor[$i])))."'";
						}
					}
					
					if($total > 0){
						$query="update recibedoce set ".$set." where rfcemisor='".$valor[1]."' and tipodocto='".$valor[2]."' and serie='".$valor[3]."' and folio='".$valor[4]."' and uuid='".$valor[5]."'";
					}
				}else if($accion == "Detalle"){
					$set="";
					
					for($i=1;$i <= count($valor);$i++){
						if($i < count($valor)){
							$set.=$detalle[$i]."='".utf8_encode(mysqli_real_escape_string($conexion->CONEXION,trim($valor[$i])))."',";
						}else{
							$set.=$detalle[$i]."='".utf8_encode(mysqli_real_escape_string($conexion->CONEXION,trim($valor[$i])))."'";
						}
					}
					
						$query="Insert into detallerecibedoce set ".$set;
				}
				
				if($query != ""){
					
					mysqli_query($conexion->CONEXION,$query);
					
					if($queryClienteWEB != ""){
						mysqli_query($conexion->CONEXION,$queryClienteWEB);
					}
					
				}
				/*echo "<br><br>-- ".$query."<br>";
				echo mysql_error();*/
			}
			unlink($dir.$ar);		
}

?>